"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Array) {
  const _easycom_up_upload2 = common_vendor.resolveComponent("up-upload");
  const _easycom_up_radio2 = common_vendor.resolveComponent("up-radio");
  const _easycom_up_radio_group2 = common_vendor.resolveComponent("up-radio-group");
  (_easycom_up_upload2 + _easycom_up_radio2 + _easycom_up_radio_group2)();
}
const _easycom_up_upload = () => "../../../node-modules/uview-plus/components/u-upload/u-upload.js";
const _easycom_up_radio = () => "../../../node-modules/uview-plus/components/u-radio/u-radio.js";
const _easycom_up_radio_group = () => "../../../node-modules/uview-plus/components/u-radio-group/u-radio-group.js";
if (!Math) {
  (_easycom_up_upload + _easycom_up_radio + _easycom_up_radio_group)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "teacher",
  setup(__props) {
    const form = common_vendor.inject("form");
    const errors = common_vendor.inject("errors");
    const genderList = common_vendor.inject("genderList");
    const educationList = common_vendor.inject("educationList");
    const learnStatusList = common_vendor.inject("learnStatusList");
    const showList = common_vendor.inject("showList");
    const deletePic = common_vendor.inject("deletePic");
    const afterRead = common_vendor.inject("afterRead");
    const formSubmit = common_vendor.inject("formSubmit");
    const educationChange = common_vendor.inject("educationChange");
    const learnStatusChange = common_vendor.inject("learnStatusChange");
    const bindDateChange = common_vendor.inject("bindDateChange");
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.unref(form)._id,
        b: common_vendor.o(common_vendor.unref(afterRead)),
        c: common_vendor.o(common_vendor.unref(deletePic)),
        d: common_vendor.p({
          fileList: common_vendor.unref(form).icon,
          name: "icon",
          multiple: true,
          maxCount: 1
        }),
        e: common_vendor.unref(form).nick_name,
        f: common_vendor.unref(errors).nick_name
      }, common_vendor.unref(errors).nick_name ? {
        g: common_vendor.t(common_vendor.unref(errors).nick_name)
      } : {}, {
        h: common_vendor.f(common_vendor.unref(genderList), (item, index, i0) => {
          return {
            a: index,
            b: "70f918ed-2-" + i0 + ",70f918ed-1",
            c: common_vendor.p({
              customStyle: {
                marginRight: "16px"
              },
              label: item.label,
              name: item.value
            })
          };
        }),
        i: common_vendor.o(($event) => common_vendor.unref(form).gender = $event),
        j: common_vendor.p({
          placement: "row",
          modelValue: common_vendor.unref(form).gender
        }),
        k: common_vendor.unref(errors).gender
      }, common_vendor.unref(errors).gender ? {
        l: common_vendor.t(common_vendor.unref(errors).gender)
      } : {}, {
        m: common_vendor.t(common_vendor.unref(form).birth || "请选择出生日期"),
        n: common_vendor.o(
          //@ts-ignore
          (...args) => common_vendor.unref(bindDateChange) && common_vendor.unref(bindDateChange)(...args)
        ),
        o: common_vendor.unref(errors).birth
      }, common_vendor.unref(errors).birth ? {
        p: common_vendor.t(common_vendor.unref(errors).birth)
      } : {}, {
        q: common_vendor.unref(form).phone,
        r: common_vendor.unref(errors).phone
      }, common_vendor.unref(errors).phone ? {
        s: common_vendor.t(common_vendor.unref(errors).phone)
      } : {}, {
        t: common_vendor.t(common_vendor.unref(form).education_name || "请选择学历"),
        v: common_vendor.o(
          //@ts-ignore
          (...args) => common_vendor.unref(educationChange) && common_vendor.unref(educationChange)(...args)
        ),
        w: common_vendor.unref(educationList),
        x: common_vendor.unref(errors).education
      }, common_vendor.unref(errors).education ? {
        y: common_vendor.t(common_vendor.unref(errors).education)
      } : {}, {
        z: common_vendor.unref(form).college,
        A: common_vendor.unref(errors).college
      }, common_vendor.unref(errors).college ? {
        B: common_vendor.t(common_vendor.unref(errors).college)
      } : {}, {
        C: common_vendor.t(common_vendor.unref(form).learnStatus_name || "请选择学业状态"),
        D: common_vendor.o(
          //@ts-ignore
          (...args) => common_vendor.unref(learnStatusChange) && common_vendor.unref(learnStatusChange)(...args)
        ),
        E: common_vendor.unref(learnStatusList),
        F: common_vendor.f(common_vendor.unref(showList), (item, index, i0) => {
          return {
            a: index,
            b: "70f918ed-4-" + i0 + ",70f918ed-3",
            c: common_vendor.p({
              customStyle: {
                marginRight: "16px"
              },
              label: item.label,
              name: item.value
            })
          };
        }),
        G: common_vendor.o(($event) => common_vendor.unref(form).is_show = $event),
        H: common_vendor.p({
          placement: "row",
          modelValue: common_vendor.unref(form).is_show
        }),
        I: common_vendor.unref(errors).is_show
      }, common_vendor.unref(errors).is_show ? {
        J: common_vendor.t(common_vendor.unref(errors).is_show)
      } : {}, {
        K: common_vendor.o(common_vendor.unref(afterRead)),
        L: common_vendor.o(common_vendor.unref(deletePic)),
        M: common_vendor.p({
          fileList: common_vendor.unref(form).card,
          name: "card",
          multiple: true,
          maxCount: 2,
          width: "250",
          height: "150"
        }),
        N: common_vendor.unref(errors).card
      }, common_vendor.unref(errors).card ? {
        O: common_vendor.t(common_vendor.unref(errors).card)
      } : {}, {
        P: common_vendor.unref(form).brief,
        Q: common_vendor.o(
          //@ts-ignore
          (...args) => common_vendor.unref(formSubmit) && common_vendor.unref(formSubmit)(...args)
        )
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-70f918ed"], ["__file", "D:/project/学吧/learn_applet/pagesMy/account/path/teacher.vue"]]);
wx.createComponent(Component);
